%define upstream_name    libnet
%define upstream_version 3.15

%{?perl_default_filter}

Name:           perl-libnet
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Perl clients for various network protocols
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/libnet/
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHAY/libnet-%{upstream_version}.tar.gz
# Convert Changes to UTF-8
Patch0:         libnet-3.08-Normalize-Changes-encoding.patch
# Do not create Net/libnet.cfg, bug #1238689
Patch1:         libnet-3.08-Do-not-create-Net-libnet.cfg.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.64
# Getopt::Std not used because of Do-not-create-Net-libnet.cfg.patch
# IO::File not used because of Do-not-create-Net-libnet.cfg.patch
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
# Convert::EBCDIC not used
BuildRequires:  perl(Errno)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
# File::Basename not used at tests
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket) >= 1.05
# Prefer IO::Socket::IP over IO::Socket::INET6 and IO::Socket::INET
# IO::Socket::INET6 not used
BuildRequires:  perl(IO::Socket::IP) >= 0.20
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Socket) >= 2.016
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Time::Local)
# Optional run-time:
# Authen::SASL not used at tests
# Digest::MD5 not used at tests
%if !%{defined perl_bootstrap}
# Core modules must built without non-core dependencies
BuildRequires:  perl(IO::Socket::SSL) >= 2.007
%endif
# MD5 not used because we prefer Digest::MD5
# MIME::Base64 not used at tests
# Tests:
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test::More)
# Optional tests:
%if !%{defined perl_bootstrap}
# Core modules must built without non-core dependencies
BuildRequires:  perl(IO::Socket::SSL::Utils)
%endif
# Test::CPAN::Changes not used
# Test::Perl::Critic not used
# Test::Pod 1.00 not used
# Test::Pod::Coverage 0.08 not used
Requires:       perl(File::Basename)
Requires:       perl(IO::Socket) >= 1.05
# Prefer IO::Socket::IP over IO::Socket::INET6 and IO::Socket::INET
Requires:       perl(IO::Socket::IP) >= 0.20
Requires:       perl(POSIX)
Requires:       perl(Socket) >= 2.016

# Filter under-specified dependencies
%global __requires_exclude ^perl\\((IO::Socket|Mac::InternetConfig|Socket)\\)$


%description
This is a collection of Perl modules which provides a simple and
consistent programming interface (API) to the client side of various
protocols used in the internet community.

%prep
%autosetup -p1 -n libnet-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build CFLAGS="%{optflags}"

%install
%make_install

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}%{perl_vendorlib}/*

%check
make test

%files
%license Artistic Copying LICENCE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Thu Feb 06 2025 daviddavid <daviddavid> 3.150.0-1.mga10
+ Revision: 2145834
- update to 3.15

* Tue Mar 29 2022 umeabot <umeabot> 3.13-2.mga9
+ Revision: 1831186
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 guillomovitch <guillomovitch> 3.13-1.mga9
+ Revision: 1696475
- new version 3.13

* Wed Feb 12 2020 umeabot <umeabot> 3.11-3.mga8
+ Revision: 1507146
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.11-2.mga7
+ Revision: 1287498
- Mageia 7 Mass Rebuild

* Wed Jan 17 2018 kekepower <kekepower> 3.11-1.mga7
+ Revision: 1194094
- Update to version 3.11

* Tue Oct 03 2017 tv <tv> 3.10-2.mga7
+ Revision: 1165156
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 3.10-1.mga7
+ Revision: 1157135
- new version 3.10

* Thu Aug 17 2017 sander85 <sander85> 3.08-2.mga7
+ Revision: 1141354
- update to

* Thu Feb 09 2017 pterjan <pterjan> 3.08-2.mga6
+ Revision: 1085198
- Rebuild for new perl

* Sun May 08 2016 shlomif <shlomif> 3.08-1.mga6
+ Revision: 1010910
- Build/install fixes
- Importing based on fedora


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 06 2016 Petr Pisar <ppisar@redhat.com> - 3.08-1
- 8.08 bump

* Mon Jul 20 2015 Petr Pisar <ppisar@redhat.com> - 3.07-1
- 3.07 bump

* Wed Jul 01 2015 Petr Pisar <ppisar@redhat.com> 3.06-1
- Specfile autogenerated by cpanspec 1.78.
- Do not create Net/libnet.cfg (bug #1238689)
